Show a catalog item by SKU
curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/wms/items/{sku} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/wms/items/{sku}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/wms/items/{sku}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "1234567890",
"sku": "TSHIRT-RED-M",
"description": "Red T-shirt, size M",
"barcode": "5901234123457",
"image_url": "<string>",
"bin": "A1-04",
"quantity": 42
}
]
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}WMS Experimental
Show a catalog item by SKU
GET
/
teams
/
{teamUuid}
/
wms
/
items
/
{sku}
Show a catalog item by SKU
Authorizations
bearerAuthoauth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
Required string length:
1 - 64Pattern:
^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Stock keeping unit identifier.
Minimum string length:
1Example:
"TSHIRT-RED-M"
Response
Items matching the given SKU.
Show child attributes
Show child attributes
Was this page helpful?